► |  | Embedded GUI: Widgets Within Editors

1 | Containers
2 | Controls
3 | Control Snips
4 | Helpers
5 | Snip Functions

▼ | 1 | Containers

1.1 | aligned-pasteboard%
1.2 | alignment<%>
1.3 | alignment-parent<%>
1.4 | stretchable-snip<%>
1.5 | horizontal-alignment%
1.6 | vertical-alignment%
1.7 | dllist<%>

On this page:

get-aligned-min-width
get-aligned-min-height
stretchable-width
stretchable-height

top ← prev up next →

> interface

> stretchable-snip<%> : interface?

Must be implemented by any snip class whose objects will be stretchable when inserted into an aligned-pasteboard<%> within a snip-wrapper%.

> > method

> > (send a-stretchable-snip get-aligned-min-width)

> → (and/c real? (not/c negative?))

The minimum width that the snip can be resized to.

> > method

> > (send a-stretchable-snip get-aligned-min-height)

> → (and/c real? (not/c negative?))

The minimum height that the snip can be resized to.

> > method

> > (send a-stretchable-snip stretchable-width) → boolean?

> (send a-stretchable-snip stretchable-width stretch?) → void?
> stretch? : boolean?

Gets/sets whether or not the snip can be stretched in the X dimension.

> > method

> > (send a-stretchable-snip stretchable-height) → boolean?

> (send a-stretchable-snip stretchable-height stretch?) → void?
> stretch? : boolean?

Gets/sets whether or not the snip can be stretched in the Y dimension.
top ← prev up next →